> For the complete documentation index, see [llms.txt](https://docs.onchainpay.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.onchainpay.io/api-reference/13partners/post_get-default-tariffs.md).

# Get general tariffs

The method allows you to get all the general rates on the service. If an individual tariff is not specified for the user, then the general tariff for all users is applied when the commission is deducted

### Response:

The response contains an array of tariff objects:

| **Parameter** | **Type**       | **Description**                                                                                                                                                                                                          |
| ------------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| id            | String         | Tariff ID                                                                                                                                                                                                                |
| action        | String         | Tariff action                                                                                                                                                                                                            |
| amount        | String         | The commission percentage of the transaction amount (for example, 0.01 means a commission of 1% of the transaction amount)                                                                                               |
| minAmount     | String or null | <p>The minimum commission for charging (for example, when performing an operation, 1% of the transaction amount will be charged, but not less than <code>minAmount</code>)<br><br><code>null</code> - without limits</p> |
| maxAmount     | String or null | <p>The maximum commission for charging (for example, when performing an operation, 1% of the transaction amount will be charged, but no more than <code>maxAmount</code>)<br><br><code>null</code> - without limits</p>  |

Parameter `action` can take the following values:

| **Tariff**            | **Description**                                           |
| --------------------- | --------------------------------------------------------- |
| INTERNAL\_TRANSFER    | Internal transfer                                         |
| ORDER\_DEPOSIT        | Accepting payments for order                              |
| WALLET\_DEPOSIT       | Deposit to wallet                                         |
| WALLET\_WITHDRAWAL    | Withdrawal from wallet                                    |
| PAYOUT\_DEPOSIT       | Deposit to payout balance                                 |
| PAYOUT\_WITHDRAWAL    | Withdrawal from payout balance                            |
| PERSONAL\_DEPOSIT     | Deposit to personal address                               |
| PERSONAL\_WITHDRAWAL  | Withdrawal from personal address                          |
| COLLECT\_WITHDRAWAL   | Withdrawal from collect address                           |
| RECURRENT\_DEPOSIT    | Deposit to recurrent address (by periodical subscription) |
| RECURRENT\_WITHDRAWAL | Withdrawal from recurrent address                         |
| BRIDGE\_INTERNAL      | Blockchain bridge (change network)                        |
| BRIDGE\_EXTERNAL      | Blockchain bridge via API                                 |
| EXCHANGE\_INTERNAL    | Exchange                                                  |
| EXCHANGE\_AUTO        | Exchange via API                                          |

{% openapi src="/files/sW3pCSavW8K5JCHRyMVw" path="/partner/api/get-default-tariffs" method="post" %}
[openapi.json](https://199856430-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fy7yrGizyjjV5OmCw3DcE%2Fuploads%2Fgit-blob-c16b91898f63e16257eb0e0b6bb8d49e7f547d73%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.onchainpay.io/api-reference/13partners/post_get-default-tariffs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
